OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Problem with upgrade from 2.3.7 to 2.4.2

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
What to do if you have a technical problem with OJS:

1. Search the forum. You can do this from the Advanced Search Page or from our Google Custom Search, which will search the entire PKP site. If you are encountering an error, we especially recommend searching the forum for said error.

2. Check the FAQ to see if your question or error has already been resolved.

3. Post a question, but please, only after trying the above two solutions. If it's a workflow or usability question you should probably post to the OJS Editorial Support and Discussion subforum; if you have a development question, try the OJS Development subforum.

Problem with upgrade from 2.3.7 to 2.4.2

Postby Ajakss » Mon Aug 26, 2013 3:15 am

Dear,

I tried to upgrade form 2.3.7 version to 2.4.2 via web interface. Unfortunately, I get the message Error server - Error 500. But when I return to homepage I get the message
DB Error: Table 'infotezy.issues' doesn't exist
I see that in the database does not exist the issue table only
issues_old
. What should I do in order to restore my website. Many thanks in advance for your help.

Regards,

Adam
Ajakss
 
Posts: 55
Joined: Fri Jun 08, 2012 11:16 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby JasonNugent » Mon Aug 26, 2013 6:37 am

Adam,

Did you take a database dump or a backup before you started the process? It's what we strongly recommend before doing an OJS upgrade. Did you happen to see what caused the Server 500 error in your logs?

Regards,
Jason
JasonNugent
Site Admin
 
Posts: 848
Joined: Tue Jan 10, 2006 6:20 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby Ajakss » Mon Aug 26, 2013 7:20 am

Hi Jason,

fortunately, I did backup before I started to upgrade the system. I have installed OJS 2.3.7 on another hosting and then successfully I have upgraded it to newer version 2.4.2.0 but on my original hosting upgrading was failed.

Perhaps the logs will be useful for you. I would be very appreciate for your help.

Regards,

Adam

ojs2 has produced an error Message: USER ERROR: Smarty error: unable to write to $compile_dir '.../ojs/cache/t_compile'. Be sure $compile_dir is writable by the web server user. In file: .../ojs/lib/pkp/lib/smarty/Smarty.class.php At line: 1093 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(256, "Smarty error: unable to write to $compile_dir '.../ojs/cache/t_compile'. Be sure $compile_dir is writable by the web server user.", ".../ojs/lib/pkp/lib/smarty/Smarty.class.php", 1093, Array(2)) File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1093 Function: trigger_error("Smarty error: unable to write to $compile_dir '.../ojs/cache/t_compile'. Be sure $compile_dir is writable by the web server user.", 256) File: .../ojs/lib/pkp/lib/smarty/internals/core.write_compiled_resource.php line 23 Function: Smarty->trigger_error("unable to write to $compile_dir '.../ojs/cache/t_compile'. Be sure $compile_dir is writable by the web server user.", 256) File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1431 Function: smarty_core_write_compiled_resource(Array(2), Object(TemplateManager)) File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1254 Function: Smarty->_compile_resource("install/install.tpl", ".../ojs/cache/t_compile/%%7D^7DC^7DC17B21%%install.tpl.php") File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 295 Function: Smarty->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 346 Function: PKPTemplateManager->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 187 Function: PKPTemplateManager->display("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 142 Function: Form->fetch(Null, Null, True) File: .../ojs/classes/install/form/InstallForm.inc.php line 129 Function: Form->display() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 45 Function: InstallForm->display() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: include(.../ojs/cache/t_compile/%%7D^7DC^7DC17B21%%install.tpl.php): failed to open stream: No such file or directory In file: .../ojs/lib/pkp/lib/smarty/Smarty.class.php At line: 1256 Stacktrace: File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1256 Function: PKPApplication->errorHandler(2, "include(.../ojs/cache/t_compile/%%7D^7DC^7DC17B21%%install.tpl.php): failed to open stream: No such file or directory", ".../ojs/lib/pkp/lib/smarty/Smarty.class.php", 1256, Array(9)) File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1256 Function: Smarty::fetch() File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 295 Function: Smarty->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 346 Function: PKPTemplateManager->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 187 Function: PKPTemplateManager->display("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 142 Function: Form->fetch(Null, Null, True) File: .../ojs/classes/install/form/InstallForm.inc.php line 129 Function: Form->display() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 45 Function: InstallForm->display() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: include(): Failed opening '.../ojs/cache/t_compile/%%7D^7DC^7DC17B21%%install.tpl.php' for inclusion (include_path='.:.../ojs/classes:.../ojs/pages:.../ojs/lib/pkp:.../ojs/lib/pkp/classes:.../ojs/lib/pkp/pages:.../ojs/lib/pkp/lib/adodb:.../ojs/lib/pkp/lib/phputf8:.../ojs/lib/pkp/lib/pqp/classes:.../ojs/lib/pkp/lib/smarty:.:/var/www/config:/usr/share/php') In file: .../ojs/lib/pkp/lib/smarty/Smarty.class.php At line: 1256 Stacktrace: File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1256 Function: PKPApplication->errorHandler(2, "include(): Failed opening '.../ojs/cache/t_compile/%%7D^7DC^7DC17B21%%install.tpl.php' for inclusion (include_path='.:.../ojs/classes:.../ojs/pages:.../ojs/lib/pkp:.../ojs/lib/pkp/classes:.../ojs/lib/pkp/pages:.../ojs/lib/pkp/lib/adodb:.../ojs/lib/pkp/lib/phputf8:.../ojs/lib/pkp/lib/pqp/classes:.../ojs/lib/pkp/lib/smarty:.:/var/www/config:/usr/share/php')", ".../ojs/lib/pkp/lib/smarty/Smarty.class.php", 1256, Array(9)) File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1256 Function: Smarty::fetch() File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 295 Function: Smarty->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 346 Function: PKPTemplateManager->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 187 Function: PKPTemplateManager->display("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 142 Function: Form->fetch(Null, Null, True) File: .../ojs/classes/install/form/InstallForm.inc.php line 129 Function: Form->display() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 45 Function: InstallForm->display() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
Ajakss
 
Posts: 55
Joined: Fri Jun 08, 2012 11:16 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby JasonNugent » Mon Aug 26, 2013 7:56 am

Hi Adam,

From the looks of the error, it appears that the cache/ directory (and possibly some sub directories like t_compile) are not writable by the user that attempted to do the upgrade. If you ran that from the web upgrade tool, it would have needed to be writable by the web server user. Can you check the permissions on the directories in question?

Cheers
Jason
JasonNugent
Site Admin
 
Posts: 848
Joined: Tue Jan 10, 2006 6:20 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby Ajakss » Mon Aug 26, 2013 9:52 am

Hi Jason,

thanks for reply. I do not understand what happened but when I try to upgrade the OJS I see that cache directory and subdirectories are writable, What is strange, when I try to change the permissions I get the message that I cannot do it. Probably the cache directory was not replaced by new folder and files and in the folder exists old cache.

Regards,

Adam
Ajakss
 
Posts: 55
Joined: Fri Jun 08, 2012 11:16 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby Ajakss » Tue Aug 27, 2013 5:11 am

Hi Jason,

I restored the permissions to writable but no effect. I can start upgrading process but after clicking Upgrade OJS I get the message about server error. Perhaps logs will be useful in evaluating the situation.

Is there a chance to upgrade the system if I see changed column name in database (issues for issues_old)?

Thanks a lot for your help.

Regards,

Adam

ojs2 has produced an error Message: WARNING: fopen(.../ojs/cache/fc-locale-39ad57a0a799a092b476f7b3d029e60d.php): failed to open stream: Permission denied In file: .../ojs/lib/pkp/classes/cache/FileCache.inc.php At line: 85 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(2, "fopen(.../ojs/cache/fc-locale-39ad57a0a799a092b476f7b3d029e60d.php): failed to open stream: Permission denied", ".../ojs/lib/pkp/classes/cache/FileCache.inc.php", 85, Array(2)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 85 Function: fopen(".../ojs/cache/fc-locale-39ad57a0a799a092b476f7b3d029e60d.php", "wb") File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 54 Function: FileCache->setEntireCache(Array(672)) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 89 Function: LocaleFile->_getCache("en_US") File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 87 Function: LocaleFile->translate("help.toggleInlineHelpOn", Array(0)) File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 645 Function: PKPLocale::translate("help.toggleInlineHelpOn", Array(0), Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 113 Function: __("help.toggleInlineHelpOn") File: .../ojs/classes/template/TemplateManager.inc.php line 29 Function: PKPTemplateManager->PKPTemplateManager(Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 384 Function: TemplateManager->TemplateManager(Null) File: .../ojs/lib/pkp/classes/handler/PKPHandler.inc.php line 429 Function: PKPTemplateManager->getManager() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 123 Function: PKPHandler->setupTemplate() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 33 Function: PKPInstallHandler->setupTemplate() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: chmod() has been disabled for security reasons In file: .../ojs/lib/pkp/classes/cache/FileCache.inc.php At line: 88 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(2, "chmod() has been disabled for security reasons", ".../ojs/lib/pkp/classes/cache/FileCache.inc.php", 88, Array(4)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 88 Function: chmod(".../ojs/cache/fc-locale-39ad57a0a799a092b476f7b3d029e60d.php", 420) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 54 Function: FileCache->setEntireCache(Array(672)) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 89 Function: LocaleFile->_getCache("en_US") File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 87 Function: LocaleFile->translate("help.toggleInlineHelpOn", Array(0)) File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 645 Function: PKPLocale::translate("help.toggleInlineHelpOn", Array(0), Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 113 Function: __("help.toggleInlineHelpOn") File: .../ojs/classes/template/TemplateManager.inc.php line 29 Function: PKPTemplateManager->PKPTemplateManager(Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 384 Function: TemplateManager->TemplateManager(Null) File: .../ojs/lib/pkp/classes/handler/PKPHandler.inc.php line 429 Function: PKPTemplateManager->getManager() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 123 Function: PKPHandler->setupTemplate() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 33 Function: PKPInstallHandler->setupTemplate() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: fopen(.../ojs/cache/fc-locale-1cfde42be2b25bdac1c9a16538de37a8.php): failed to open stream: Permission denied In file: .../ojs/lib/pkp/classes/cache/FileCache.inc.php At line: 85 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(2, "fopen(.../ojs/cache/fc-locale-1cfde42be2b25bdac1c9a16538de37a8.php): failed to open stream: Permission denied", ".../ojs/lib/pkp/classes/cache/FileCache.inc.php", 85, Array(2)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 85 Function: fopen(".../ojs/cache/fc-locale-1cfde42be2b25bdac1c9a16538de37a8.php", "wb") File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 54 Function: FileCache->setEntireCache(Array(112)) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 89 Function: LocaleFile->_getCache("en_US") File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 87 Function: LocaleFile->translate("help.toggleInlineHelpOn", Array(0)) File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 645 Function: PKPLocale::translate("help.toggleInlineHelpOn", Array(0), Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 113 Function: __("help.toggleInlineHelpOn") File: .../ojs/classes/template/TemplateManager.inc.php line 29 Function: PKPTemplateManager->PKPTemplateManager(Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 384 Function: TemplateManager->TemplateManager(Null) File: .../ojs/lib/pkp/classes/handler/PKPHandler.inc.php line 429 Function: PKPTemplateManager->getManager() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 123 Function: PKPHandler->setupTemplate() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 33 Function: PKPInstallHandler->setupTemplate() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: chmod() has been disabled for security reasons In file: .../ojs/lib/pkp/classes/cache/FileCache.inc.php At line: 88 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(2, "chmod() has been disabled for security reasons", ".../ojs/lib/pkp/classes/cache/FileCache.inc.php", 88, Array(4)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 88 Function: chmod(".../ojs/cache/fc-locale-1cfde42be2b25bdac1c9a16538de37a8.php", 420) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 54 Function: FileCache->setEntireCache(Array(112)) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 89 Function: LocaleFile->_getCache("en_US") File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 87 Function: LocaleFile->translate("help.toggleInlineHelpOn", Array(0)) File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 645 Function: PKPLocale::translate("help.toggleInlineHelpOn", Array(0), Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 113 Function: __("help.toggleInlineHelpOn") File: .../ojs/classes/template/TemplateManager.inc.php line 29 Function: PKPTemplateManager->PKPTemplateManager(Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 384 Function: TemplateManager->TemplateManager(Null) File: .../ojs/lib/pkp/classes/handler/PKPHandler.inc.php line 429 Function: PKPTemplateManager->getManager() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 123 Function: PKPHandler->setupTemplate() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 33 Function: PKPInstallHandler->setupTemplate() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: fopen(.../ojs/cache/fc-locale-03b174b61510807426c2a2c128f6a86a.php): failed to open stream: Permission denied In file: .../ojs/lib/pkp/classes/cache/FileCache.inc.php At line: 85 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(2, "fopen(.../ojs/cache/fc-locale-03b174b61510807426c2a2c128f6a86a.php): failed to open stream: Permission denied", ".../ojs/lib/pkp/classes/cache/FileCache.inc.php", 85, Array(2)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 85 Function: fopen(".../ojs/cache/fc-locale-03b174b61510807426c2a2c128f6a86a.php", "wb") File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 54 Function: FileCache->setEntireCache(Array(360)) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 89 Function: LocaleFile->_getCache("en_US") File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 87 Function: LocaleFile->translate("help.toggleInlineHelpOn", Array(0)) File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 645 Function: PKPLocale::translate("help.toggleInlineHelpOn", Array(0), Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 113 Function: __("help.toggleInlineHelpOn") File: .../ojs/classes/template/TemplateManager.inc.php line 29 Function: PKPTemplateManager->PKPTemplateManager(Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 384 Function: TemplateManager->TemplateManager(Null) File: .../ojs/lib/pkp/classes/handler/PKPHandler.inc.php line 429 Function: PKPTemplateManager->getManager() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 123 Function: PKPHandler->setupTemplate() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 33 Function: PKPInstallHandler->setupTemplate() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: chmod() has been disabled for security reasons In file: .../ojs/lib/pkp/classes/cache/FileCache.inc.php At line: 88 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(2, "chmod() has been disabled for security reasons", ".../ojs/lib/pkp/classes/cache/FileCache.inc.php", 88, Array(4)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 88 Function: chmod(".../ojs/cache/fc-locale-03b174b61510807426c2a2c128f6a86a.php", 420) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 54 Function: FileCache->setEntireCache(Array(360)) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 89 Function: LocaleFile->_getCache("en_US") File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 87 Function: LocaleFile->translate("help.toggleInlineHelpOn", Array(0)) File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 645 Function: PKPLocale::translate("help.toggleInlineHelpOn", Array(0), Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 113 Function: __("help.toggleInlineHelpOn") File: .../ojs/classes/template/TemplateManager.inc.php line 29 Function: PKPTemplateManager->PKPTemplateManager(Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 384 Function: TemplateManager->TemplateManager(Null) File: .../ojs/lib/pkp/classes/handler/PKPHandler.inc.php line 429 Function: PKPTemplateManager->getManager() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 123 Function: PKPHandler->setupTemplate() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 33 Function: PKPInstallHandler->setupTemplate() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: fopen(.../ojs/cache/fc-locale-list.php): failed to open stream: Permission denied In file: .../ojs/lib/pkp/classes/cache/FileCache.inc.php At line: 85 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(2, "fopen(.../ojs/cache/fc-locale-list.php): failed to open stream: Permission denied", ".../ojs/lib/pkp/classes/cache/FileCache.inc.php", 85, Array(2)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 85 Function: fopen(".../ojs/cache/fc-locale-list.php", "wb") File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 620 Function: FileCache->setEntireCache(Array(29)) File: (unknown) line (unknown) Function: PKPLocale::_allLocalesCacheMiss(Object(FileCache), Null) File: .../ojs/lib/pkp/classes/cache/GenericCache.inc.php line 62 Function: call_user_func_array(Array(2), Array(2)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 118 Function: GenericCache->get(Null) File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 578 Function: FileCache->getContents() File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 230 Function: PKPLocale->_getAllLocalesCacheContent() File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 120 Function: PKPLocale->getLocaleStyleSheet("en_US") File: .../ojs/classes/template/TemplateManager.inc.php line 29 Function: PKPTemplateManager->PKPTemplateManager(Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 384 Function: TemplateManager->TemplateManager(Null) File: .../ojs/lib/pkp/classes/handler/PKPHandler.inc.php line 429 Function: PKPTemplateManager->getManager() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 123 Function: PKPHandler->setupTemplate() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 33 Function: PKPInstallHandler->setupTemplate() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: chmod() has been disabled for security reasons In file: .../ojs/lib/pkp/classes/cache/FileCache.inc.php At line: 88 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(2, "chmod() has been disabled for security reasons", ".../ojs/lib/pkp/classes/cache/FileCache.inc.php", 88, Array(4)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 88 Function: chmod(".../ojs/cache/fc-locale-list.php", 420) File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 620 Function: FileCache->setEntireCache(Array(29)) File: (unknown) line (unknown) Function: PKPLocale::_allLocalesCacheMiss(Object(FileCache), Null) File: .../ojs/lib/pkp/classes/cache/GenericCache.inc.php line 62 Function: call_user_func_array(Array(2), Array(2)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 118 Function: GenericCache->get(Null) File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 578 Function: FileCache->getContents() File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 230 Function: PKPLocale->_getAllLocalesCacheContent() File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 120 Function: PKPLocale->getLocaleStyleSheet("en_US") File: .../ojs/classes/template/TemplateManager.inc.php line 29 Function: PKPTemplateManager->PKPTemplateManager(Null) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 384 Function: TemplateManager->TemplateManager(Null) File: .../ojs/lib/pkp/classes/handler/PKPHandler.inc.php line 429 Function: PKPTemplateManager->getManager() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 123 Function: PKPHandler->setupTemplate() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 33 Function: PKPInstallHandler->setupTemplate() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: fopen(.../ojs/cache/fc-locale-8c15ce7dfec31e437114d80f1f936272.php): failed to open stream: Permission denied In file: .../ojs/lib/pkp/classes/cache/FileCache.inc.php At line: 85 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(2, "fopen(.../ojs/cache/fc-locale-8c15ce7dfec31e437114d80f1f936272.php): failed to open stream: Permission denied", ".../ojs/lib/pkp/classes/cache/FileCache.inc.php", 85, Array(2)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 85 Function: fopen(".../ojs/cache/fc-locale-8c15ce7dfec31e437114d80f1f936272.php", "wb") File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 54 Function: FileCache->setEntireCache(Array(56)) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 89 Function: LocaleFile->_getCache("en_US") File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 87 Function: LocaleFile->translate("common.notApplicable", Array(0)) File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 645 Function: PKPLocale::translate("common.notApplicable", Array(0), Null) File: .../ojs/classes/install/form/InstallForm.inc.php line 63 Function: __("common.notApplicable") File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 40 Function: InstallForm->InstallForm() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: chmod() has been disabled for security reasons In file: .../ojs/lib/pkp/classes/cache/FileCache.inc.php At line: 88 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(2, "chmod() has been disabled for security reasons", ".../ojs/lib/pkp/classes/cache/FileCache.inc.php", 88, Array(4)) File: .../ojs/lib/pkp/classes/cache/FileCache.inc.php line 88 Function: chmod(".../ojs/cache/fc-locale-8c15ce7dfec31e437114d80f1f936272.php", 420) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 54 Function: FileCache->setEntireCache(Array(56)) File: .../ojs/lib/pkp/classes/i18n/LocaleFile.inc.php line 89 Function: LocaleFile->_getCache("en_US") File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 87 Function: LocaleFile->translate("common.notApplicable", Array(0)) File: .../ojs/lib/pkp/classes/i18n/PKPLocale.inc.php line 645 Function: PKPLocale::translate("common.notApplicable", Array(0), Null) File: .../ojs/classes/install/form/InstallForm.inc.php line 63 Function: __("common.notApplicable") File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 40 Function: InstallForm->InstallForm() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: USER ERROR: Smarty error: unable to write to $compile_dir '.../ojs/cache/t_compile'. Be sure $compile_dir is writable by the web server user. In file: .../ojs/lib/pkp/lib/smarty/Smarty.class.php At line: 1093 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(256, "Smarty error: unable to write to $compile_dir '.../ojs/cache/t_compile'. Be sure $compile_dir is writable by the web server user.", ".../ojs/lib/pkp/lib/smarty/Smarty.class.php", 1093, Array(2)) File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1093 Function: trigger_error("Smarty error: unable to write to $compile_dir '.../ojs/cache/t_compile'. Be sure $compile_dir is writable by the web server user.", 256) File: .../ojs/lib/pkp/lib/smarty/internals/core.write_compiled_resource.php line 23 Function: Smarty->trigger_error("unable to write to $compile_dir '.../ojs/cache/t_compile'. Be sure $compile_dir is writable by the web server user.", 256) File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1431 Function: smarty_core_write_compiled_resource(Array(2), Object(TemplateManager)) File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1254 Function: Smarty->_compile_resource("install/install.tpl", ".../ojs/cache/t_compile/%%7D^7DC^7DC17B21%%install.tpl.php") File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 295 Function: Smarty->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 346 Function: PKPTemplateManager->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 187 Function: PKPTemplateManager->display("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 142 Function: Form->fetch(Null, Null, True) File: .../ojs/classes/install/form/InstallForm.inc.php line 129 Function: Form->display() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 45 Function: InstallForm->display() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: include(.../ojs/cache/t_compile/%%7D^7DC^7DC17B21%%install.tpl.php): failed to open stream: No such file or directory In file: .../ojs/lib/pkp/lib/smarty/Smarty.class.php At line: 1256 Stacktrace: File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1256 Function: PKPApplication->errorHandler(2, "include(.../ojs/cache/t_compile/%%7D^7DC^7DC17B21%%install.tpl.php): failed to open stream: No such file or directory", ".../ojs/lib/pkp/lib/smarty/Smarty.class.php", 1256, Array(9)) File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1256 Function: Smarty::fetch() File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 295 Function: Smarty->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 346 Function: PKPTemplateManager->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 187 Function: PKPTemplateManager->display("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 142 Function: Form->fetch(Null, Null, True) File: .../ojs/classes/install/form/InstallForm.inc.php line 129 Function: Form->display() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 45 Function: InstallForm->display() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
ojs2 has produced an error Message: WARNING: include(): Failed opening '.../ojs/cache/t_compile/%%7D^7DC^7DC17B21%%install.tpl.php' for inclusion (include_path='.:.../ojs/classes:.../ojs/pages:.../ojs/lib/pkp:.../ojs/lib/pkp/classes:.../ojs/lib/pkp/pages:.../ojs/lib/pkp/lib/adodb:.../ojs/lib/pkp/lib/phputf8:.../ojs/lib/pkp/lib/pqp/classes:.../ojs/lib/pkp/lib/smarty:.:/var/www/config:/usr/share/php') In file: .../ojs/lib/pkp/lib/smarty/Smarty.class.php At line: 1256 Stacktrace: File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1256 Function: PKPApplication->errorHandler(2, "include(): Failed opening '.../ojs/cache/t_compile/%%7D^7DC^7DC17B21%%install.tpl.php' for inclusion (include_path='.:.../ojs/classes:.../ojs/pages:.../ojs/lib/pkp:.../ojs/lib/pkp/classes:.../ojs/lib/pkp/pages:.../ojs/lib/pkp/lib/adodb:.../ojs/lib/pkp/lib/phputf8:.../ojs/lib/pkp/lib/pqp/classes:.../ojs/lib/pkp/lib/smarty:.:/var/www/config:/usr/share/php')", ".../ojs/lib/pkp/lib/smarty/Smarty.class.php", 1256, Array(9)) File: .../ojs/lib/pkp/lib/smarty/Smarty.class.php line 1256 Function: Smarty::fetch() File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 295 Function: Smarty->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 346 Function: PKPTemplateManager->fetch("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 187 Function: PKPTemplateManager->display("install/install.tpl", Null, Null, True) File: .../ojs/lib/pkp/classes/form/Form.inc.php line 142 Function: Form->fetch(Null, Null, True) File: .../ojs/classes/install/form/InstallForm.inc.php line 129 Function: Form->display() File: .../ojs/lib/pkp/pages/install/PKPInstallHandler.inc.php line 45 Function: InstallForm->display() File: (unknown) line (unknown) Function: PKPInstallHandler->index(Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370 Function: call_user_func(Array(2), Array(0), Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266 Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False) File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133 Function: PKPPageRouter->route(Object(Request)) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 63 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql
Ajakss
 
Posts: 55
Joined: Fri Jun 08, 2012 11:16 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby JasonNugent » Tue Aug 27, 2013 7:01 am

Hi Adam,

How are you running the upgrade? From the web interface or from the command line? Can you paste the permissions line (and the user that owns them) for the cache/ and the sub directories within it, here? Include the output from a command like:

Code: Select all
ls -ld cache/


and also:

Code: Select all
ls -ld cache/t_*


Also, the permissions on the files *in* those directories should also include write privilege for the user running the upgrade.

A common problem when running the upgrade from the command line is that the web server user will own the files, and the user running the upgrade is not that user. In that case, the files might be writable, but not for the correct person.

Regards,
Jason
JasonNugent
Site Admin
 
Posts: 848
Joined: Tue Jan 10, 2006 6:20 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby Ajakss » Tue Aug 27, 2013 11:39 am

Hi Jason,

The issues were dissapeared - see thread http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=10408#p40567 before I tried to upgrade system. Some problems with installation forced me to migrate to newer version but no effect.

I upgrade via web interface because I do not access to the command line. I am suspecting that upgrade was done only partially and table was renamed to issues_old. When I finish the process I see only blank page. I cannot return to the previous web version because the issue table does not exist.

Many thanks in advance for your help.

Kind regards,

Adam

DB Error: Table 'infotezy.issues' doesn't exist
Stack Trace:
File: .../html/ojs/classes/issue/IssueDAO.inc.php line 222
Function: DAO->retrieve("SELECT i.* FROM issues i WHERE journal_id = ? AND current = 1", "1")

File: .../html/ojs/classes/issue/IssueDAO.inc.php line 23
Function: IssueDAO->getCurrentIssue("1", False)

File: (unknown) line (unknown)
Function: IssueDAO->_cacheMiss(Object(GenericCache), "1")

File: .../html/ojs/lib/pkp/classes/cache/GenericCache.inc.php line 62
Function: call_user_func_array(Array(2), Array(2))

File: .../html/ojs/classes/issue/IssueDAO.inc.php line 216
Function: GenericCache->get("1")

File: .../html/ojs/pages/index/IndexHandler.inc.php line 54
Function: IssueDAO->getCurrentIssue("1", True)

File: (unknown) line (unknown)
Function: IndexHandler->index(Array(0), Object(Request))

File: .../html/ojs/lib/pkp/classes/core/PKPRouter.inc.php line 370
Function: call_user_func(Array(2), Array(0), Object(Request))

File: .../html/ojs/lib/pkp/classes/core/PKPPageRouter.inc.php line 266
Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False)

File: .../html/ojs/lib/pkp/classes/core/Dispatcher.inc.php line 133
Function: PKPPageRouter->route(Object(Request))

File: .../html/ojs/lib/pkp/classes/core/PKPApplication.inc.php line 189
Function: Dispatcher->dispatch(Object(Request))

File: .../html/ojs/index.php line 63
Function: PKPApplication->execute()
Ajakss
 
Posts: 55
Joined: Fri Jun 08, 2012 11:16 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby JasonNugent » Tue Aug 27, 2013 11:57 am

Hey Adam,

If you didn't have issues before you started to attempt an upgrade, upgrading is probably not going to bring them back. I think you should roll back your installation to before you attempted an upgrade and we can try to figure out where your issues went.

What I don't understand is what happened to cause them to disappear. You had issues, and then you didn't have issues. Something changed there, yes? Did you import any new data? Run any SQL commands?

A part of me is wondering if your missing issues and permissions problems are somehow related.

Jason
JasonNugent
Site Admin
 
Posts: 848
Joined: Tue Jan 10, 2006 6:20 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby Ajakss » Tue Aug 27, 2013 1:07 pm

Hi Jason,

I will try to install 2.3.7 version again. On another hosting the installation and upgrading went ok.

One month ago I had published new issue and for a month all issues were visible. I did not any import or SQL commands. Suddenly all issues dissapeared.

To be honest previously I had some problems with OJS - e.g. the management pages were unavailable or I could not assign the reviewer to the article - the message was the same: server error. But I could do other operations - e.g. publish new issues.

Kind regards,

Adam
Ajakss
 
Posts: 55
Joined: Fri Jun 08, 2012 11:16 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby Ajakss » Wed Aug 28, 2013 5:02 am

Hi Jason,

I have installed 2.3.7 OJS version again and I get message when I try to go to manager pages:

Fatal error: Call to undefined function session_is_registered() in /var/www/site/infotezy/html/ojs/lib/pkp/classes/session/Session.inc.php on line 64


The same error is visible when I try to logout:

Fatal error: Call to undefined function session_is_registered() in /var/www/site/infotezy/html/ojs/lib/pkp/classes/session/Session.inc.php on line 64


How can I fix it? The issues are visible but I am afraid of upgrading system after previous experiences :)

Kind regards,

Adam
Ajakss
 
Posts: 55
Joined: Fri Jun 08, 2012 11:16 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby JasonNugent » Wed Aug 28, 2013 5:57 am

Hi Adam,

That "session_is_registered" error is because you are running a new version of PHP and an older version of OJS. You need to apply this patch:

http://pkp.sfu.ca/bugzilla/attachment.cgi?id=3789

Which will fix the problem. (or, upgrade to OJS 2.3.8).

Regards,
Jason
JasonNugent
Site Admin
 
Posts: 848
Joined: Tue Jan 10, 2006 6:20 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby Ajakss » Wed Aug 28, 2013 6:32 am

Hi Jason,

many thanks for your reply. It fixed problem :D But new problem appeared. The setup function in management pages is not avaialable. I have logs but they are quite unclear for me.

Thank you for your very valuable assistance.

Kind regards,

Adam

ojs2 has produced an error Message: WARNING: Missing argument 1 for PaymentManager::PaymentManager(), called in .../ojs/classes/payment/ojs/OJSPaymentManager.inc.php on line 35 and defined In file: .../ojs/lib/pkp/classes/payment/PaymentManager.inc.php At line: 22 Stacktrace: File: .../ojs/lib/pkp/classes/payment/PaymentManager.inc.php line 22 Function: PKPApplication->errorHandler(2, "Missing argument 1 for PaymentManager::PaymentManager(), called in .../ojs/classes/payment/ojs/OJSPaymentManager.inc.php on line 35 and defined", ".../ojs/lib/pkp/classes/payment/PaymentManager.inc.php", 22, Array(0)) File: .../ojs/classes/payment/ojs/OJSPaymentManager.inc.php line 35 Function: PaymentManager->PaymentManager() File: .../ojs/classes/template/TemplateManager.inc.php line 115 Function: OJSPaymentManager->getManager() File: .../ojs/lib/pkp/classes/template/PKPTemplateManager.inc.php line 340 Function: TemplateManager->TemplateManager(Null) File: .../ojs/plugins/generic/externalFeed/ExternalFeedPlugin.inc.php line 36 Function: PKPTemplateManager->getManager() File: .../ojs/lib/pkp/classes/plugins/PluginRegistry.inc.php line 62 Function: ExternalFeedPlugin->register("generic", "plugins/generic/externalFeed") File: .../ojs/lib/pkp/classes/plugins/PluginRegistry.inc.php line 137 Function: PluginRegistry->register("generic", Object(ExternalFeedPlugin), "plugins/generic/externalFeed") File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 127 Function: PluginRegistry->loadCategory("generic", True) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 180 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 65 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql DB server version: 5.5.31-0+wheezy1-log
ojs2 has produced an error Message: USER NOTICE: Deprecated import of a partially qualified class name. In file: .../ojs/lib/pkp/includes/functions.inc.php At line: 34 Stacktrace: File: (unknown) line (unknown) Function: PKPApplication->errorHandler(1024, "Deprecated import of a partially qualified class name.", ".../ojs/lib/pkp/includes/functions.inc.php", 34, Array(3)) File: .../ojs/lib/pkp/includes/functions.inc.php line 34 Function: trigger_error("Deprecated import of a partially qualified class name.") File: .../ojs/plugins/generic/booksForReview/classes/BookForReviewDAO.inc.php line 16 Function: import("db.DAO") File: .../ojs/lib/pkp/classes/plugins/PKPPlugin.inc.php line 378 Function: require_once(".../ojs/plugins/generic/booksForReview/classes/BookForReviewDAO.inc.php") File: .../ojs/plugins/generic/booksForReview/BooksForReviewPlugin.inc.php line 33 Function: PKPPlugin->import("classes.BookForReviewDAO") File: .../ojs/lib/pkp/classes/plugins/PluginRegistry.inc.php line 62 Function: BooksForReviewPlugin->register("generic", "plugins/generic/booksForReview") File: .../ojs/lib/pkp/classes/plugins/PluginRegistry.inc.php line 137 Function: PluginRegistry->register("generic", Object(BooksForReviewPlugin), "plugins/generic/booksForReview") File: .../ojs/lib/pkp/classes/core/Dispatcher.inc.php line 127 Function: PluginRegistry->loadCategory("generic", True) File: .../ojs/lib/pkp/classes/core/PKPApplication.inc.php line 180 Function: Dispatcher->dispatch(Object(Request)) File: .../ojs/index.php line 65 Function: PKPApplication->execute() Server info: OS: Linux PHP Version: 5.4.4-14+deb7u2 Apache Version: N/A DB Driver: mysql DB server version: 5.5.31-0+wheezy1-log
Ajakss
 
Posts: 55
Joined: Fri Jun 08, 2012 11:16 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby JasonNugent » Wed Aug 28, 2013 7:42 am

Hi Adam,

The PaymentManager notice was also fixed in a newer version of OJS, with this patch:

http://pkp.sfu.ca/bugzilla/attachment.cgi?id=3728

But the warning you are seeing is purely cosmetic and should not affect OJS or the loading of the management pages. There should be something else in your logs, I believe.

Regards,
Jason
JasonNugent
Site Admin
 
Posts: 848
Joined: Tue Jan 10, 2006 6:20 am

Re: Problem with upgrade from 2.3.7 to 2.4.2

Postby Ajakss » Wed Aug 28, 2013 12:51 pm

Hi Jason,

many thanks for reply. I would be very appreciate if you could suggest where I should look for possible errors. I do not have an access to servers logs and have to ask my admin for help. Thank you very much.

Kind regards,

Adam
Ajakss
 
Posts: 55
Joined: Fri Jun 08, 2012 11:16 am


Return to OJS Technical Support

Who is online

Users browsing this forum: Google [Bot] and 1 guest

cron